List Workflows
curl --request GET \
--url https://flowker.sandbox.lerian.net/v1/workflows \
--header 'Authorization: Bearer <token>'import requests
url = "https://flowker.sandbox.lerian.net/v1/workflows"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://flowker.sandbox.lerian.net/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Payment Notification Flow",
"description": "Receives a webhook trigger and logs the payment event.",
"status": "active",
"nodes": [
{
"id": "trigger-1",
"type": "trigger",
"name": "Webhook Trigger",
"position": {
"x": 0,
"y": 0
},
"data": {
"triggerType": "webhook",
"path": "payments/received",
"method": "POST",
"input_contract": "open",
"format": "json"
}
},
{
"id": "log-event",
"type": "action",
"name": "Log Payment Event",
"position": {
"x": 200,
"y": 0
},
"data": {
"action": "log"
}
}
],
"edges": [
{
"id": "e1",
"source": "trigger-1",
"target": "log-event"
}
],
"metadata": {
"team": "payments"
},
"createdAt": "2026-03-17T14:30:00Z",
"updatedAt": "2026-03-17T14:31:00Z"
}
],
"nextCursor": "",
"hasMore": false
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}List Workflows
Use this endpoint to retrieve a paginated list of workflows. You can filter results by status.
GET
/
v1
/
workflows
List Workflows
Authorizations
JWT bearer token issued by the identity provider. Send it in the Authorization header as Bearer <token>.
Query Parameters
Filter results by status.
Available options:
draft, active, inactive Maximum number of items to return per page. Defaults to 10. Must be between 1 and 100.
Required range:
1 <= x <= 100Cursor for pagination. Use the value from the nextCursor field in a previous response to retrieve the next page.
Field to sort results by.
Available options:
createdAt, updatedAt, name Sort direction. Use ASC for ascending or DESC for descending.
Available options:
ASC, DESC Response
Indicates that the request was successful and the response contains the requested data.
Was this page helpful?
⌘I

